STRIPCHART(5)

NAME
stripchart - draws diagrams from data with PHP

SYNOPSIS
The script is expected to be called as a CGI script but also works from the command line.

DESCRIPTION
Stripchart prepares a series of diagrams directly from raw data. It is handy for web pages that need some graphics without too much overhead.

OPTIONS

-i input FILE
    name of input data file (mandatory)

-o output FILE
    name of output .gif file (default: STDOUT)

-O output FILE
    name of output .gif file, also dumps to STDOUT

-f from TIME
    stripchart with data starting at TIME (default: 24 hours ago)

-t to TIME
    stripchart with data ending at TIME (default: now)

-r range RANGE
    stripchart data centered around "from" time the size of RANGE (overrides -t)

-l last LINES
    stripchart last number of LINES in data file (overrides -f and -t and -r)

-T title TITLE
    title to put on graphic (default: FILE RANGE)

-x column X
    time or "x" column (default: 2)

-y column Y
    value or "y" column (default: 3)

-Y column Y'
    overplot second "y" column (default: none)

-b baseline VALUE
    overplot baseline of arbitrary value VALUE

-B baseline-avg
    overrides -b, it plots baseline of computed average

-d dump low VALUE
    ignore data less than VALUE

-D dump high VALUE
    ignore data higher than VALUE

-v verbose
    puts verbose runtime output to STDERR

-L log
    makes y axis log scale

-c colors "COLORS"
    set gnuplot colors for graph/axisnts/data (default: "xffffff x000000 xc0c0c0 x00a000 x0000a0 x2020c0" in order: bground, axisnts, grids, pointcolor1,2,3)

-C cgi
    output CGI header to STDOUT if being called as CGI

-s stats
    turn extra plot stats on (current, avg, min, max)

-j julian times
    time columns is in local julian date (legacy stuff)

-V version
    print version number and exit

-h help
    display this help

NOTES
  * TIME either unix date, julian date, or civil date in the form:
      YYYY:MM:DD:HH:MM (year, month, day, hour, minute)
    If you enter something with colons, it assumes it is civil date
    If you have a decimal point, it assumes it is julian date
    If it is an integer, it assumes it is unix date (epoch seconds)
    If it is a negative number, it is in decimal days from current time
      (i.e. -2.5 = two and a half days ago)
    * All times on command line are assumed to be "local" times
    * All times in the data file must be in unix date (epoch seconds)
  * RANGE is given in decimal days (i.e. 1.25 = 1 day, 6 hours)
  * if LINES == 0, (i.e. -l 0) then the whole data file is read in
  * columns (given with -x, -y, -Y flags) start at 1
  * titles given with -T can contain the following key words which will
    be converted:
      FILE - basename of input file
      RANGE - pretty civil date range (in local time zone)
    the default title is: FILE RANGE

AUTHORS
Matt Lebofsky